Package org.apache.tomcat.util.buf

## Class Ascii

- java.lang.Object
- - org.apache.tomcat.util.buf.Ascii

    public final class Ascii
    extends java.lang.Object

This class implements some basic ASCII character handling functions.

Author:
  dac@eng.sun.com, James Todd [gonzo@eng.sun.com]

### Constructor Summary

Constructors
`Ascii()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `parseLong​(byte[] b, int off, int len)` Parses an unsigned long from the specified subarray of bytes.
`static int` `toLower​(int c)` Returns the lower case equivalent of the specified ASCII character.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Ascii

    public Ascii()

### Method Detail

#### toLower

    public static int toLower​(int c)

Returns the lower case equivalent of the specified ASCII character.

Parameters:
  `c` - The char
Returns:
  the lower case equivalent char

#### parseLong

    public static long parseLong​(byte[] b,
                                 int off,
                                 int len)
                          throws java.lang.NumberFormatException

Parses an unsigned long from the specified subarray of bytes.

Parameters:
  `b` - the bytes to parse
  `off` - the start offset of the bytes
  `len` - the length of the bytes
Returns:
  the long value
Throws:
  `java.lang.NumberFormatException` - if the long format was invalid